Package: groovy.swing.factory

## [Groovy] Class TitledBorderFactory

- groovy.swing.factory.TitledBorderFactory

- The node must be called with either a value argument or a title: attribute.
  The following attributes are optional.
  position: one of "default", "aboveTop", "top", "belowTop", "aboveBottom", "bottom", "belowBottom", or a constant from javax.swing.border.TitledBorder
  justification: one of "default", "left", "center", "right", "leading", "trailing", or a constant from javax.swing.border.TitledBorder
  border: javax.swing.Border, some other border, if unset the look and feel default will be used
  color: java.awt.Color the color of the text for the title
  font: java.awt.Font the font of the text for the title

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static Map` | `justifications`
    `static Map` | `positions`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SwingBorderFactory` | `isLeaf, onHandleNodeAttributes, setParent`
    `class AbstractFactory` | `onFactoryRegistration, isHandlesNodeChildren, onNodeChildren, onHandleNodeAttributes, onNodeCompleted, setChild, setParent, isLeaf, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait, newInstance`

- - ### Property Detail

    - #### static final Map justifications

    - #### static final Map positions

  - ### Method Detail

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)